WebM Codec SDK

Data Fields
vpx_codec_stream_info Struct Reference
Common Algorithm Interface » Decoder Algorithm Interface

Stream properties. More...

`#include <vpx_decoder.h>`

## Data Fields
unsigned int | sz
unsigned int | w
unsigned int | h
unsigned int | is_kf

## Detailed Description

Stream properties.

This structure is used to query or set properties of the decoded stream. Algorithms may extend this structure with data specific to their bitstream by setting the sz member appropriately.

## Field Documentation

## ◆ sz

unsigned int vpx_codec_stream_info::sz

Size of this structure

## ◆ w

unsigned int vpx_codec_stream_info::w

Width (or 0 for unknown/default)

## ◆ h

unsigned int vpx_codec_stream_info::h

Height (or 0 for unknown/default)

## ◆ is_kf

unsigned int vpx_codec_stream_info::is_kf

Current frame is a keyframe

The documentation for this struct was generated from the following file:

- vpx/vpx_decoder.h